From 7474100737bba52ca941e0b75cb2ad00a5f56603 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Tue, 30 Dec 2008 17:26:42 +0530
Subject: [PATCH] Include .la again.

Other compilation dependent on these break otherwise (openjade).

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 opensp.spec |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

diff --git a/opensp.spec b/opensp.spec
index 03e70de..6405c76 100644
--- a/opensp.spec
+++ b/opensp.spec
@@ -1,7 +1,7 @@
 Summary: SGML and XML parser
 Name: opensp
 Version: 1.5.2
-Release: 10%{?dist}
+Release: 10%{?dist}.fa1
 Requires: sgml-common >= 0.5
 URL: http://openjade.sourceforge.net/
 Source: http://download.sourceforge.net/openjade/OpenSP-%{version}.tar.gz
@@ -49,8 +49,9 @@ rm -rf $RPM_BUILD_ROOT
 
 make install DESTDIR=$RPM_BUILD_ROOT
 
-# Get rid of libtool libraries
-rm $RPM_BUILD_ROOT%{_libdir}/*.la
+# Fix up libtool libraries
+find $RPM_BUILD_ROOT -name '*.la' | \
+  xargs perl -p -i -e "s|-L$RPM_BUILD_DIR[\w/.-]*||g"
 
 # oMy, othis ois osilly.
 for file in nsgmls sgmlnorm spam spent sx ; do
@@ -98,9 +99,13 @@ rm -rf $RPM_BUILD_ROOT
 %defattr(-,root,root)
 %{_includedir}/OpenSP/
 %{_libdir}/libosp.so
+%{_libdir}/libosp.la 
 
 
 %changelog
+* Tue Dec 30 2008 Kedar Sovani <kedars@marvell.com> 1.5.2-10.fa1
+- Include .la again. Other compilations dependent on these break.
+
 * Fri Oct 24 2008 Ondrej Vasik <ovasik@redhat.com> 1.5.2-10
 - move conversion to prep, do not convert html doc(#226217)
 
-- 
1.5.3.3

